Name:		librsvg
Summary: An SVG library based on libart.
Version: 	1.0.0
Release: 	7
License: 	LGPL
Group: System Environment/Libraries
Source: 	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	glib >= 1.2.9
Requires:	gtk+ >= 1.2.9
Requires:	libxml >= 1.8.10
Requires:	gdk-pixbuf >= 0.10.0
Requires:	popt >= 1.5
Requires:	freetype >= 2.0.1
Requires:	libpng
BuildRequires: libpng-devel, freetype-devel >= 2.0.1, popt >= 1.5
BuildRequires: gdk-pixbuf-devel >= 0.10.0 , libxml-devel >= 1.8.10
BuildRequires: gtk+-devel >= 1.2.9, glib-devel >= 1.2.9
BuildRequires: gnome-libs-devel

Patch1:		librsvg-1.0.0-mb.patch
Patch2:		librsvg-1.0.0-includes.patch

%description
An SVG library based on libart.


%package devel
Summary: Libraries and include files for developing with librsvg.
Group: Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

%prep
%setup -q

%patch1 -p1 -b .mb
%patch2 -p0 -b .includes

%build
automake
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files

%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.sh
%{_bindir}/librsvg-config
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/librsvg-1/librsvg
%{_datadir}/aclocal/librsvg.m4
%{_libdir}/pkgconfig/librsvg-1.0.pc

%changelog
* Fri Jul 27 2001 Alexander Larsson <alexl@redhat.com>
- Add a patch that moves the includes to librsvg-1/librsvg
- in preparation for a later librsvg 2 library.

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- build requires gnome-libs-devel, #49509

* Thu Jul 19 2001 Havoc Pennington <hp@redhat.com>
- own /usr/include/librsvg

* Wed Jul 18 2001 Akira TAGOH <tagoh@redhat.com> 1.0.0-4
- fixed the linefeed problem in multibyte environment. (Bug#49310)

* Mon Jul 09 2001 Havoc Pennington <hp@redhat.com>
- put .la file back in package 

* Fri Jul  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Put changelog at the end
- Move .so files to devel subpackage
- Don't mess with ld.so.conf
- Don't use %%{prefix}, this isn't a relocatable package
- Don't define a bad docdir
- Add BuildRequires
- Use %%{_tmppath}
- Don't define name, version etc. on top of the file (why do so many do that?)
- s/Copyright/License/

* Wed May  9 2001 Jonathan Blandford <jrb@redhat.com>
- Put into Red Hat Build system

* Tue Oct 10 2000 Robin Slomkowski <rslomkow@eazel.com>
- removed obsoletes from sub packages and added mozilla and trilobite
subpackages

* Wed Apr 26 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing

